Announcement

Collapse
No announcement yet.

[Plugin] Http/s REST, blueprintable JSON and Parse REST API manager at once (VaRest)

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

    #31
    Originally posted by ufna View Post
    I've made an update for UE 4.6-preview, here it is: https://github.com/ufna/VaRest/releases/tag/1.1-rc7
    Would love to give your plugin a go, a pre-build version of 4.5.1 would be great as I can't test it at this moment. The 4.6 and 4.4 both fail as I'm working on a blueprint (no code) version/game.
    Do Not Argue Toxic Game
    Balloony PoP get it on Google Play
    Fishy Blub Blub
    get it on Google Play

    Comment


      #32
      Could you rebuild it for 4.5.1 as well? 4.5 preview and 4.4 are not working with 4.5.1
      Do Not Argue Toxic Game
      Balloony PoP get it on Google Play
      Fishy Blub Blub
      get it on Google Play

      Comment


        #33
        Originally posted by KillerSneak View Post
        Would love to give your plugin a go, a pre-build version of 4.5.1 would be great as I can't test it at this moment. The 4.6 and 4.4 both fail as I'm working on a blueprint (no code) version/game.
        "Blueprint only" game won't let you package the game with external plugins. If you're using plugins and want to package them you must switch you project to "C++ game".

        Comment


          #34
          Originally posted by ufna View Post
          "Blueprint only" game won't let you package the game with external plugins. If you're using plugins and want to package them you must switch you project to "C++ game".
          Does this also mean I have to get the full Unreal Engine source from git? Like I said I'm still learning UE4 and learning C++ isn't something on my priority list at the moment as I'm working with blueprints only
          Do Not Argue Toxic Game
          Balloony PoP get it on Google Play
          Fishy Blub Blub
          get it on Google Play

          Comment


            #35
            Originally posted by KillerSneak View Post
            Does this also mean I have to get the full Unreal Engine source from git? Like I said I'm still learning UE4 and learning C++ isn't something on my priority list at the moment as I'm working with blueprints only
            No, you can use binary engine by Epic You just need minimal C++ project.

            Comment


              #36
              Originally posted by ufna View Post
              No, you can use binary engine by Epic You just need minimal C++ project.
              Thanks I will give this a try this week. Can I use the 4.4 release for the 4.5.1 release version? (your plugin skipped 4.5.1?)
              Do Not Argue Toxic Game
              Balloony PoP get it on Google Play
              Fishy Blub Blub
              get it on Google Play

              Comment


                #37
                Originally posted by KillerSneak View Post
                Thanks I will give this a try this week. Can I use the 4.4 release for the 4.5.1 release version? (your plugin skipped 4.5.1?)
                Yes, 4.4 release will work with UE 4.5, that's why I've skipped it

                Comment


                  #38
                  Originally posted by ufna View Post
                  Yes, 4.4 release will work with UE 4.5, that's why I've skipped it
                  When I've put it in my project it doesn't seem to work
                  Version: 4.6.0-2369412

                  It says that your version at https://github.com/ufna/VaRest/releases/tag/1.1-rc7 was built with different version and it needs to be recompiled, but it doesn't do it when I click yes. Am I missing something?

                  Comment


                    #39
                    Originally posted by Ragethunder View Post
                    When I've put it in my project it doesn't seem to work
                    Version: 4.6.0-2369412

                    It says that your version at https://github.com/ufna/VaRest/releases/tag/1.1-rc7 was built with different version and it needs to be recompiled, but it doesn't do it when I click yes. Am I missing something?
                    It was pre-built for UE 4.6.0-preview. I'll make an update soon. But I recommend you to switch to code-based project instead of blueprints only, because plugins are not fully supported for blueprints-only projects.

                    Comment


                      #40
                      Can't wait to get my hands on this!!

                      Thanks so much for exposing this kind of functionality to us that are C++ impaired!

                      May I ask, is this tested on mobile platforms (Android, iOS, HTML5)

                      Thanks,
                      James

                      Comment


                        #41
                        Originally posted by Minxies View Post
                        Can't wait to get my hands on this!!

                        Thanks so much for exposing this kind of functionality to us that are C++ impaired!

                        May I ask, is this tested on mobile platforms (Android, iOS, HTML5)

                        Thanks,
                        James

                        Hi Minxies, I cannot verify iOS or HTML5, but I have just tested my project out on Android and confirm that it does work there.

                        Comment


                          #42
                          Legend, I'll try to commit once I have to skill set.

                          A belated Merry Christmas (if applicable

                          Best,
                          James

                          Comment


                            #43
                            > If you're using plugins and want to package them you must switch you project to "C++ game".

                            So this is a pretty vital piece of information I was not aware of since this is the one and only plugin I've used. I couldn't get this working for a week You should mention it on the github page.
                            Columbus Ohio Unreal Meetup
                            @OCGameStudio | Sphere Complex | twitch.tv/WFMOz

                            Comment


                              #44
                              Hi,
                              this plugin is awesome and thank you for developing it!
                              But I have a strange problem with Parse integration. It works on Windows but on Android no... Other JSON requests work good on Android... How can I resolve this problem?

                              Thank you.

                              Comment


                                #45
                                Originally posted by kodmistrz View Post
                                Hi,
                                this plugin is awesome and thank you for developing it!
                                But I have a strange problem with Parse integration. It works on Windows but on Android no... Other JSON requests work good on Android... How can I resolve this problem?

                                Thank you.
                                It seems to occur only when I do HTTPS request... For example http://facebook.com works but https://facebook.com doesn't work... So Parse.com (because only support HTTPS) doesn't work on Android...

                                Comment

                                Working...
                                X